<?php
include_once '../sys/inc/start.php';
$doc = new document(2);
$doc -> title = 'Вход в админку';



if (dpanel::is_access() || isset($_SESSION['captcha']) && isset($_POST['chislo']) && $_SESSION['captcha']===$_POST['chislo'])
{
$doc->msg('Отлично, переходим в админку');
dpanel::access();
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=./?'.SID);
if (isset($_GET['return']))$doc->ret('Вернуться',for_value($_GET['return']));
exit;
}


$doc->msg('Для входа в админку необходимо пройти капчу');
$form = new design();
$form->assign('method','post');
$form->assign('action','?'.passgen().(isset($_GET['return'])?'&amp;return='.urlencode($_GET['return']):null));
$elements=array();
$elements[]=array('type'=>'captcha', 'br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('value'=>'Войти')); // кнопка
$form->assign('el',$elements);
$form->display('input.form.tpl');




?>
